## python-openstackclient 3.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
six>=1.9.0 # MIT

Babel>=2.3.4 # BSD
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
keystoneauth1>=2.10.0 # Apache-2.0
openstacksdk>=0.9.4 # Apache-2.0
osc-lib>=1.0.2 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
python-glanceclient!=2.4.0,>=2.3.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (3.2.0-3+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 23 Nov 2016 23:56:13 +0000

python-openstackclient (3.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Fixed oslotest EPOCH.

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:12:12 +0200

python-openstackclient (3.2.0-1) experimental; urgency=medium

  [ gustavo panizzo ]
  * Add autopkgtest tests

  [ Corey Bryant ]
  * New usptream release.
  * Align (Build-)Depends with upstream.
  * d/p/0001-reproducible-build.patch: Dropped. Fixed upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 18:57:24 +0200

=== debian/control ===
Source: python-openstackclient
Testsuite: autopkgtest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-aodhclient (>= 0.5.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-cinderclient (>= 1:1.7.0),
                     python-cliff (>= 1.15.0),
                     python-congressclient (>= 1.3.0),
                     python-coverage,
                     python-crypto,
                     python-designateclient (>= 1.5.0),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.3.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.4.0),
                     python-ironicclient (>= 1.6.0),
                     python-ironic-inspector-client (>= 1.5.0),
                     python-keyring,
                     python-keystoneauth1 (>= 2.10.0),
                     python-keystoneclient (>= 1:2.0.0),
                     python-mistralclient (>= 1:2.0.0),
                     python-muranoclient (>= 0.8.2),
                     python-mock (>= 1.3),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.30.0),
                     python-openstacksdk (>= 0.9.4),
                     python-os-client-config (>= 1.13.1),
                     python-osc-lib (>= 1.0.2),
                     python-os-testr (>= 0.7.0),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.2.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-saharaclient (>= 0.16.0),
                     python-senlinclient (>= 0.3.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.16.0),
                     python-tempest (>= 1:12.1.0),
                     python-testtools (>= 1.4.0),
                     python-wrapt (>= 1.7.0),
                     python-zaqarclient (>= 1.0.0),
                     python3-aodhclient (>= 0.5.0),
                     python3-babel (>= 2.3.4),
                     python3-cinderclient (>= 1:1.7.0),
                     python3-congressclient (>= 1.3.0),
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-crypto,
                     python3-fixtures (>= 3.0.0),
                     python3-glanceclient (>= 1:2.3.0),
                     python3-heatclient (>= 1.4.0),
                     python3-ironicclient (>= 1.6.0),
                     python3-keyring,
                     python3-keystoneauth1 (>= 2.10.0),
                     python3-keystoneclient (>= 1:2.0.0),
                     python3-mistralclient (>= 1:2.0.0),
                     python3-mock (>= 1.3),
                     python3-neutronclient (>= 1:5.1.0),
                     python3-novaclient (>= 2:2.30.0),
                     python3-openstacksdk (>= 0.9.4),
                     python3-os-client-config (>= 1.13.1),
                     python3-os-testr (>= 0.7.0),
                     python3-osc-lib (>= 1.0.2),
                     python3-oslo.config (>= 1:3.10.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.2.0),
                     python3-oslo.utils (>= 3.16.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.0),
                     python3-saharaclient (>= 0.16.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.16.0),
                     python3-subunit,
                     python3-tempest (>= 1:12.1.0),
                     python3-testtools (>= 1.4.0),
                     python3-wrapt (>= 1.7.0),
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
# python-searchlightclient (>= 0.2.0), Not packaged yet: TODO
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-openstackclient?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-openstackclient -b debian/newton
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.7.0),
         python-cliff (>= 1.15.0),
         python-crypto,
         python-glanceclient (>= 1:2.3.0),
         python-keyring,
         python-keystoneauth1 (>= 2.10.0),
         python-keystoneclient (>= 1:2.0.0),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.30.0),
         python-openstacksdk (>= 0.9.4),
         python-os-client-config (>= 1.13.1),
         python-osc-lib (>= 1.0.2),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.2.0),
         python-oslo.utils (>= 3.16.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Recommends: ${python:Recommends},
Description: OpenStack Command-line Client - Python 2.7
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cinderclient (>= 1:1.7.0),
         python3-cliff (>= 1.15.0),
         python3-crypto,
         python3-glanceclient (>= 1:2.3.0),
         python3-keyring,
         python3-keystoneauth1 (>= 2.10.0),
         python3-keystoneclient (>= 1:2.0.0),
         python3-neutronclient (>= 1:5.1.0),
         python3-novaclient (>= 2:2.30.0),
         python3-openstacksdk (>= 0.9.4),
         python3-os-client-config (>= 1.13.1),
         python3-osc-lib (>= 1.0.2),
         python3-oslo.config (>= 1:3.10.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.2.0),
         python3-oslo.utils (>= 3.16.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.16.0),
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

Package: python-openstackclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-openstackclient (<< 2.0.0-2~),
Replaces: python-openstackclient (<< 2.0.0-2~),
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

=== debian/tests/control ===
Tests: openstackclient
Depends: @, openstack-deploy (>= 0.14), debconf, apt-utils
Restrictions: needs-root, breaks-testbed, isolation-container, allow-stderr

## python-openstackclient 3.2.1

=== requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Babel>=2.3.4 # BSD
 cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
 keystoneauth1>=2.10.0 # Apache-2.0
-openstacksdk>=0.9.4 # Apache-2.0
+openstacksdk>=0.9.5 # Apache-2.0
 osc-lib>=1.0.2 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.utils>=3.16.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (3.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Bumped debhelper compat version to 10
  * Bump required version of python{,3}-openstacksdk and
    python{,3}-saharaclient

 -- Ondřej Nový <onovy@debian.org>  Wed, 28 Dec 2016 23:46:01 +0100

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
                      python-mock (>= 1.3),
                      python-neutronclient (>= 1:5.1.0),
                      python-novaclient (>= 2:2.30.0),
-                     python-openstacksdk (>= 0.9.4),
+                     python-openstacksdk (>= 0.9.5),
                      python-os-client-config (>= 1.13.1),
                      python-osc-lib (>= 1.0.2),
                      python-os-testr (>= 0.7.0),
@@ -51,7 +51,7 @@
                      python-osprofiler (>= 1.4.0),
                      python-requests (>= 2.10.0),
                      python-requests-mock (>= 1.0),
-                     python-saharaclient (>= 0.16.0),
+                     python-saharaclient (>= 0.18.0),
                      python-senlinclient (>= 0.3.0),
                      python-six (>= 1.9.0),
                      python-stevedore (>= 1.16.0),
@@ -77,7 +77,7 @@
                      python3-mock (>= 1.3),
                      python3-neutronclient (>= 1:5.1.0),
                      python3-novaclient (>= 2:2.30.0),
-                     python3-openstacksdk (>= 0.9.4),
+                     python3-openstacksdk (>= 0.9.5),
                      python3-os-client-config (>= 1.13.1),
                      python3-os-testr (>= 0.7.0),
                      python3-osc-lib (>= 1.0.2),
@@ -89,7 +89,7 @@
                      python3-osprofiler (>= 1.4.0),
                      python3-requests (>= 2.10.0),
                      python3-requests-mock (>= 1.0),
-                     python3-saharaclient (>= 0.16.0),
+                     python3-saharaclient (>= 0.18.0),
                      python3-six (>= 1.9.0),
                      python3-stevedore (>= 1.16.0),
                      python3-subunit,
@@ -117,7 +117,7 @@
          python-keystoneclient (>= 1:2.0.0),
          python-neutronclient (>= 1:5.1.0),
          python-novaclient (>= 2:2.30.0),
-         python-openstacksdk (>= 0.9.4),
+         python-openstacksdk (>= 0.9.5),
          python-os-client-config (>= 1.13.1),
          python-osc-lib (>= 1.0.2),
          python-oslo.config (>= 1:3.10.0),
@@ -156,7 +156,7 @@
          python3-keystoneclient (>= 1:2.0.0),
          python3-neutronclient (>= 1:5.1.0),
          python3-novaclient (>= 2:2.30.0),
-         python3-openstacksdk (>= 0.9.4),
+         python3-openstacksdk (>= 0.9.5),
          python3-os-client-config (>= 1.13.1),
          python3-osc-lib (>= 1.0.2),
          python3-oslo.config (>= 1:3.10.0),

## python-openstackclient 3.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0
six>=1.9.0 # MIT

Babel>=2.3.4 # BSD
cliff>=2.3.0 # Apache-2.0
keystoneauth1>=2.14.0 # Apache-2.0
openstacksdk>=0.9.10 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0

## python-openstackclient 3.8.1

=== requirements.txt ===
--- 
+++ 
@@ -6,12 +6,12 @@
 
 Babel>=2.3.4 # BSD
 cliff>=2.3.0 # Apache-2.0
-keystoneauth1>=2.14.0 # Apache-2.0
-openstacksdk>=0.9.10 # Apache-2.0
+keystoneauth1>=2.18.0 # Apache-2.0
+openstacksdk>=0.9.13 # Apache-2.0
 osc-lib>=1.2.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0
 oslo.utils>=3.18.0 # Apache-2.0
 python-glanceclient>=2.5.0 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
+python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
 python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (3.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 15 Sep 2017 15:33:00 +0200

python-openstackclient (3.3.0-1) unstable; urgency=medium

  * New upstream release

 -- David Homolka <david.homolka@ultimum.io>  Mon, 14 Aug 2017 12:40:00 +0200

=== debian/control ===
Source: python-openstackclient
Testsuite: autopkgtest
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-cinderclient (>= 1:1.7.0),
                     python-cliff (>= 2.3.0),
                     python-congressclient (>= 1.3.0),
                     python-coverage,
                     python-crypto,
                     python-crypto,
                     python-bandit,
                     python-designateclient (>= 1.5.0),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.5.0),
                     python-hacking (>= 0.10.0),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.11.0),
                     python-ironic-inspector-client (>= 1.5.0),
                     python-keyring,
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mistralclient (>= 1:2.0.0),
                     python-muranoclient (>= 0.8.2),
                     python-mock (>= 2.0),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:6.0.0),
                     python-openstacksdk (>= 0.9.13),
                     python-os-client-config (>= 1.22.0),
                     python-osc-lib (>= 1.2.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.config (>= 1:3.10.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.serialization (>= 1.2.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-saharaclient (>= 1.1.0),
                     python-senlinclient (>= 1.1.0),
                     python-troveclient (>= 2.2.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testtools (>= 1.4.0),
                     python-wrapt (>= 1.7.0),
                     python-zaqarclient (>= 1.0.0),
                     python3-aodhclient (>= 0.7.0),
                     python3-babel (>= 2.3.4),
                     python3-cinderclient (>= 1:1.7.0),
                     python3-congressclient (>= 1.3.0),
                     python3-cliff (>= 2.3.0),
                     python3-coverage,
                     python3-crypto,
                     python3-fixtures (>= 3.0.0),
                     python3-glanceclient (>= 1:2.5.0),
                     python3-heatclient (>= 1.6.1),
                     python3-ironicclient (>= 1.11.0),
                     python3-keyring,
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mistralclient (>= 1:2.0.0),
                     python3-mock (>= 2.0),
                     python3-neutronclient (>= 1:5.1.0),
                     python3-novaclient (>= 2:6.0.0),
                     python3-openstacksdk (>= 0.9.13),
                     python3-os-client-config (>= 1.22.0),
                     python3-os-testr (>= 0.8.0),
                     python3-osc-lib (>= 1.2.0),
                     python3-oslo.config (>= 1:3.10.0),
                     python3-bandit,
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.serialization (>= 1.2.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-saharaclient (>= 1.1.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.17.1),
                     python3-subunit,
                     python3-tempest (>= 1:12.1.0),
                     python3-testtools (>= 1.4.0),
                     python3-wrapt (>= 1.7.0),
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
# python-searchlightclient (>= 0.2.0), Not packaged yet: TODO
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-openstackclient.git/?h=debian%2Focata
Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-openstackclient.git -b debian/ocata
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cinderclient (>= 1:1.7.0),
         python-cliff (>= 2.3.0),
         python-crypto,
         python-glanceclient (>= 1:2.5.0),
         python-keyring,
         python-keystoneauth1 (>= 2.18.0),
         python-keystoneclient (>= 1:3.8.0),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:6.0.0),
         python-openstacksdk (>= 0.9.13),
         python-os-client-config (>= 1.22.0),
         python-osc-lib (>= 1.2.0),
         python-oslo.config (>= 1:3.10.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.serialization (>= 1.2.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
Recommends: ${python:Recommends},
Description: OpenStack Command-line Client - Python 2.7
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cinderclient (>= 1:1.7.0),
         python3-cliff (>= 2.3.0),
         python3-crypto,
         python3-glanceclient (>= 1:2.5.0),
         python3-keyring,
         python3-keystoneauth1 (>= 2.18.0),
         python3-keystoneclient (>= 1:3.8.0),
         python3-neutronclient (>= 1:5.1.0),
         python3-novaclient (>= 2:6.0.0),
         python3-openstacksdk (>= 0.9.13),
         python3-os-client-config (>= 1.22.0),
         python3-osc-lib (>= 1.2.0),
         python3-oslo.config (>= 1:3.10.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.serialization (>= 1.2.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.17.1),
         ${misc:Depends},
         ${python3:Depends},
Recommends: ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

Package: python-openstackclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Breaks: python-openstackclient (<< 2.0.0-2~),
Replaces: python-openstackclient (<< 2.0.0-2~),
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build build .testrepository doc/source/api
	rm -f AUTHORS
	rm -f ChangeLog

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc -O--buildsystem=python2
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b man doc/source doc/build/man
	dh_installman
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-openstackclient 3.12.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
six>=1.9.0 # MIT

Babel!=2.4.0,>=2.3.4 # BSD
cliff>=2.8.0 # Apache-2.0
keystoneauth1>=3.0.1 # Apache-2.0
openstacksdk>=0.9.17 # Apache-2.0
osc-lib>=1.7.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
python-glanceclient>=2.7.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-novaclient>=9.0.0 # Apache-2.0
python-cinderclient>=3.0.0 # Apache-2.0

=== debian/changelog ===
python-openstackclient (3.12.0-0ubuntu2~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 04 Aug 2017 00:53:24 +0000

python-openstackclient (3.12.0-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:19:00 -0400

python-openstackclient (3.12.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Aug 2017 19:54:13 -0400

python-openstackclient (3.11.0-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream release for OpenStack Pike.
  * Align (Build-)Depends with upstream release.

 -- James Page <james.page@ubuntu.com>  Mon, 15 May 2017 18:42:30 +0100

python-openstackclient (3.9.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:01:48 +0100

python-openstackclient (3.8.1-0ubuntu3) zesty; urgency=medium

  * debian/control: Dropped python3-hacking. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 04 Feb 2017 17:42:44 -0500

python-openstackclient (3.8.1-0ubuntu2) zesty; urgency=medium

  * debian/control: Dropped python-hacking. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2017 21:49:07 -0500

python-openstackclient (3.8.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 31 Jan 2017 09:38:38 -0500

python-openstackclient (3.8.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 13:31:03 -0500

python-openstackclient (3.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 17 Jan 2017 09:03:28 -0500

python-openstackclient (3.6.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jan 2017 09:28:05 -0500

python-openstackclient (3.5.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/max-images.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 11:45:52 -0500

python-openstackclient (3.4.1-0ubuntu2) zesty; urgency=medium

  * debian/patches/max-images.patch: Allow more than maximum of 25 images to 
    be listed. (LP: #1443089) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 12 Dec 2016 08:33:47 -0500

python-openstackclient (3.4.1-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Nov 2016 13:49:29 -0500

python-openstackclient (3.3.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Oct 2016 11:40:04 -0400

python-openstackclient (3.2.0-0ubuntu2) yakkety; urgency=medium

  * Reduce scope of autopkgtests to drop requirement on openstack-deploy,
    which is Debian only.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Sep 2016 11:15:15 +0100

python-openstackclient (3.2.0-0ubuntu1) yakkety; urgency=medium

  [ gustavo panizzo ]
  * Add autopkgtest tests

  [ Corey Bryant ]
  * New usptream release.
  * Align (Build-)Depends with upstream.
  * d/p/0001-reproducible-build.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Sep 2016 11:51:10 -0400

=== debian/control ===
Source: python-openstackclient
Testsuite: autopkgtest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>,
           Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: python-aodhclient (>= 0.7.0),
                     python-babel (>= 2.3.4),
                     python-barbicanclient (>= 4.0.0),
                     python-cinderclient (>= 1:3.0.0),
                     python-cliff (>= 2.8.0),
                     python-congressclient (>= 1.3.0),
                     python-coverage (>= 4.0),
                     python-crypto,
                     python-designateclient (>= 1.5.0),
                     python-fixtures (>= 3.0.0),
                     python-glanceclient (>= 1:2.7.0),
                     python-heatclient (>= 1.6.1),
                     python-ironicclient (>= 1.14.0),
                     python-keyring,
                     python-keystoneauth1 (>= 3.0.1),
                     python-keystoneclient (>= 1:3.8.0),
                     python-mistralclient (>= 1:2.0.0),
                     python-mock (>= 2.0),
                     python-muranoclient (>= 0.8.2),
                     python-neutronclient (>= 1:6.3.0),
                     python-novaclient (>= 2:9.0.0),
                     python-openstackdocstheme (>= 1.11.0),
                     python-openstacksdk (>= 0.9.17),
                     python-os-client-config (>= 1.28.0),
                     python-os-testr (>= 0.8.0),
                     python-osc-lib (>= 1.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-ironic-inspector-client (>= 1.5.0),
                     python-requests (>= 2.14.2),
                     python-requests-mock (>= 1.1),
                     python-saharaclient (>= 1.1.0),
                     python-senlinclient (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-tempest (>= 1:16.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testtools (>= 1.4.0),
                     python-troveclient (>= 1:2.2.0),
                     python-wrapt (>= 1.7.0),
                     python-zaqarclient (>= 1.0.0),
                     python3-aodhclient (>= 0.7.0),
                     python3-babel (>= 2.3.4),
                     python3-barbicanclient (>= 4.0.0),
                     python3-cinderclient (>= 1:3.0.0),
                     python3-cliff (>= 2.8.0),
                     python3-congressclient (>= 1.3.0),
                     python3-coverage (>= 4.0),
                     python3-crypto,
                     python3-designateclient (>= 1.5.0),
                     python3-fixtures (>= 3.0.0),
                     python3-glanceclient (>= 1:2.7.0),
                     python3-heatclient (>= 1.6.1),
                     python3-ironicclient (>= 1.14.0),
                     python3-keyring,
                     python3-keystoneauth1 (>= 3.0.1),
                     python3-keystoneclient (>= 1:3.8.0),
                     python3-mistralclient (>= 1:2.0.0),
                     python3-mock (>= 2.0),
                     python3-muranoclient (>= 0.8.2),
                     python3-neutronclient (>= 1:6.3.0),
                     python3-novaclient (>= 2:9.0.0),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-openstacksdk (>= 0.9.17),
                     python3-os-client-config (>= 1.28.0),
                     python3-os-testr (>= 0.8.0),
                     python3-osc-lib (>= 1.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1.10.0),
                     python3-osprofiler (>= 1.4.0),
                     python3-ironic-inspector-client (>= 1.5.0),
                     python3-requests (>= 2.14.2),
                     python3-requests-mock (>= 1.1),
                     python3-saharaclient (>= 1.1.0),
                     python3-senlinclient (>= 1.1.0),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-tempest (>= 1:16.1.0),
                     python3-testrepository (>= 0.0.18),
                     python3-testtools (>= 1.4.0),
                     python3-troveclient (>= 1:2.2.0),
                     python3-wrapt (>= 1.7.0),
                     python3-zaqarclient (>= 1.0.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-openstackclient
Homepage: http://wiki.openstack.org/OpenStackClient

Package: python-openstackclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cinderclient (>= 1:3.0.0),
         python-cliff (>= 2.8.0),
         python-crypto,
         python-glanceclient (>= 1:2.7.0),
         python-keyring,
         python-keystoneauth1 (>= 3.0.1),
         python-keystoneclient (>= 1:3.8.0),
         python-neutronclient (>= 1:6.3.0),
         python-novaclient (>= 2:9.0.0),
         python-openstacksdk (>= 0.9.17),
         python-os-client-config (>= 1.28.0),
         python-osc-lib (>= 1.7.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.utils (>= 3.20.0),
         python-pbr (>= 2.0.0),
         python-requests (>= 2.14.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Recommends: ${python:Recommends},
Description: OpenStack Command-line Client - Python 2.7
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 2.7 module.

Package: python3-openstackclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cinderclient (>= 1:3.0.0),
         python3-cliff (>= 2.8.0),
         python3-crypto,
         python3-glanceclient (>= 1:2.7.0),
         python3-keyring,
         python3-keystoneauth1 (>= 3.0.1),
         python3-keystoneclient (>= 1:3.8.0),
         python3-neutronclient (>= 1:6.3.0),
         python3-novaclient (>= 2:9.0.0),
         python3-openstacksdk (>= 0.9.17),
         python3-os-client-config (>= 1.28.0),
         python3-osc-lib (>= 1.7.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.utils (>= 3.20.0),
         python3-pbr (>= 2.0.0),
         python3-requests (>= 2.14.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends},
Description: OpenStack Command-line Client - Python 3.x
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the Python 3.x module.

Package: python-openstackclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Breaks: python-openstackclient (<< 2.0.0-2~),
Replaces: python-openstackclient (<< 2.0.0-2~),
Description: OpenStack Command-line Client - doc
 python-openstackclient is a unified command-line client for the OpenStack APIs.
 It is a thin wrapper to the stock python-*client modules that implement the
 actual REST API client actions.
 .
 This is an implementation of the design goals shown in
 http://wiki.openstack.org/UnifiedCLI.  The primary goal is to provide
 a unified shell command structure and a common language to describe
 operations in OpenStack.
 .
 This package contains the documentation.
